#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.1
visibility:           public
id:                   lsp-1.2.0.1-1QkarlMZ0yRKPG6yT1aE0b
key:                  lsp-1.2.0.1-1QkarlMZ0yRKPG6yT1aE0b
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  852771e184fe90d7894ac318be082c74
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.3.0.1-40f0HpYhVYQ4L3rwVe4AC7:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.3.0.1-40f0HpYhVYQ4L3rwVe4AC7:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.3.0.1-40f0HpYhVYQ4L3rwVe4AC7:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.3.0.1-40f0HpYhVYQ4L3rwVe4AC7:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.2.0.1-1QkarlMZ0yRKPG6yT1aE0b
depends:
    aeson-1.5.6.0-2qjjmnAKexuB7sng1Bw4lo
    async-2.2.4-LZV3LPqAzY3FXcRzmdvJXN
    attoparsec-0.14.4-DMcS99nTm58Eee5UCcw5RC base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-5uWzfkvJB3pAGU8pAvjt8K
    dependent-map-0.4.0.0-1ikdRVMNn3b4rCn5qqX6it exceptions-0.10.4
    hashable-1.4.0.2-CrwWUjblcagC4Y59k0KZoQ
    hslogger-1.3.1.0-EcPUELu3CnJ5vah6bUwQ9H
    lens-5.1.1-JKtKPe6BfUt9SywSZWmNtq
    lsp-types-1.3.0.1-40f0HpYhVYQ4L3rwVe4AC7 mtl-2.2.2
    network-uri-2.6.4.1-BmyltjCCdTuAWDvDK1ZaAx
    random-1.2.1.1-HP1Jl4dlbgf891wCLsy6Z9
    scientific-0.3.7.0-FYeHmde7xzlEgYl8NcWZ19
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-FiUFtsHtx28IfDtF4iaH6c
    uuid-1.3.15-4L4cmKWKv01JX4iNxh41pc

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

